Status: Resolved Start date: 01/28/2013
Priority: Normal Due date:
Assignee: % Done: 0%
Category: protocol Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Add a new data-type for generic double vectors, as done for double matrices (see MatrixDouble). Currently the math package seems
to only contain double vectors of fixed size (2D, 3D).

Associated revisions
Revision 1986d1eb - 02/04/2013 11:43 AM - Arne Nordmann 

Added new generic double vector type

refs #1361

Revision 33194f55 - 02/04/2013 01:52 PM - Arne Nordmann 

Adapted RCI DoublesConverter to current structure of rst::math::VectorDouble

refs #1361

Revision c456501a - 02/04/2013 01:52 PM - Arne Nordmann 

Adapted RCI DoublesConverter to current structure of rst::math::VectorDouble

refs #1361

Revision ff511eb5 - 07/26/2016 01:16 PM - Arne Nordmann 

Adapted RCI DoublesConverter to current structure of rst::math::VectorDouble

refs #1361

History
#1 - 01/28/2013 06:34 PM - Anonymous
- File 0001-Added-new-generic-double-vector-type.patch added
- Category set to protocol
- Status changed from New to Feedback

Naming of the data field is intentionally close to the one from the (stable) generic MatrixDouble type. Size field doesn't seem to be necessary for this
vector type, since already accessible through the protobuf API.
http://docs.cor-lab.de/rst-manual/trunk/html/generated/stable/package-rst-math.html#rst.math.MatrixDouble


#2 - 02/04/2013 01:02 PM - Anonymous
- Status changed from Feedback to Resolved

Files
0001-Added-new-generic-double-vector-type.patch 1.41 KB 01/28/2013 Anonymous
